from subprocess import call
import subprocess
import os

PropFileName = "CRFImplicitAspectExtractor"
BatFileName = "TrainAndTest"
NCrossValidation = 10

for i in range(0,NCrossValidation):
    tmpltPropFileName = PropFileName + ".template"

    tmplPropFile = open(tmpltPropFileName, 'r')

    PropFile = open(PropFileName + str(i) + ".prop", 'a')
    BatFile = open(BatFileName + str(i) + ".bat", 'a')

    #PropFile

    #Skip first line
    txt = tmplPropFile.readline();
    PropFile.write("trainFile = TrainData" + str(i) +".tsv\n")

    txt = tmplPropFile.readline();
    while txt != "":
        PropFile.write(txt)
        txt = tmplPropFile.readline();

    tmplPropFile.close()
    PropFile.close()
        
    #BatFile
    BatFile.write("java -cp stanford-ner-2013-06-20.jar edu.stanford.nlp.ie.crf.CRFClassifier -prop CRFImplicitAspectExtractor" + str(i) + ".prop\n")
    BatFile.write('java -cp stanford-ner-2013-06-20.jar edu.stanford.nlp.ie.crf.CRFClassifier -loadClassifier CRFImplicitAspectExtractor-model.ser.gz -testFile TestData' + str(i) +'.tsv > TestResults' + str(i) + '.txt\n')
    BatFile.write("pause\n")

    BatFile.close()
    

    #Run BatFile

    #call([BatFileName + ".bat"])
    
    #Delete PropFile and BatFile
    #os.remove(BatFileName + ".bat")
    #os.remove(PropFileName + ".prop")
